Description

Ci siamo accorti, da tests recenti, che dovendosi connettere ad un server web all'interno della LAN si creano rallentamenti notevoli
sia per chi deve andare su quest'ultimo sia per chi deve andare verso I'esterno. Includendo nell'auto configurazione del proxy
I'esclusione per {{ RETE LAN}}/24 e .{{ NOMEDOMINIO }} si eviterebbe questo problema (se & possibile).

Associated revisions

Revision cffb65fd - 02/21/2017 01:02 PM - Christopher R. Gabriel
refs #194

History

#1 - 02/20/2017 05:54 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from Simone Piccardi to Marco Marinello

Puoi fornire la tipologia di test eseguiti, per poter riprodurre correttamente il problema?

#2 - 02/20/2017 07:08 PM - Marco Marinello
Christopher R. Gabriel ha scritto:

Puoi fornire la tipologia di test eseguiti, per poter riprodurre correttamente il problema?

Non lo chiamerei problema visto che sulla rete non si verifica nessun blocco di nessun servizio, semplicemente subisce un rallentamento "inutile".
In ogni caso, poniamo:

10.0.0.1 - Server FUSS (con squid)

10.0.0.10 - Server WEB

10.0.0.100-200 - clients

gli utenti sui client si collegano attraverso Firefox adeguatamente configurato con il proxy a 10.0.0.10 .

Con molti utenti il problema é riprodotto.

Inserito in Firefox -> about:preferences#advanced -> Rete -> Impostazioni -> Nessun proxy per ".dominioscuola.org, 10.0.0.0/24" la velocita di
navigazione verso l'interno (degli utenti che stanno navigando verso 10.0.0.10 quindi) e di chi sta navigando verso l'esterno ritorna decente.
#3 - 02/21/2017 09:38 AM - Christopher R. Gabriel

Marco Marinello ha scritto:
Christopher R. Gabriel ha scritto:

Puoi fornire la tipologia di test eseguiti, per poter riprodurre correttamente il problema?

Non lo chiamerei problema visto che sulla rete non si verifica nessun blocco di nessun servizio, semplicemente subisce un rallentamento
"inutile”.

In ogni caso, poniamo:

10.0.0.1 - Server FUSS (con squid)

10.0.0.10 - Server WEB

10.0.0.100-200 - clients

gli utenti sui client si collegano attraverso Firefox adeguatamente configurato con il proxy a 10.0.0.10 .

Il proxy non deve essere 10.0.0.1 ? Dalla tabella sopra, mi sembra che sia installato Ii'..
Con molti utenti il problema é riprodotto.

Inserito in Firefox -> about:preferences#advanced -> Rete -> Impostazioni -> Nessun proxy per ".dominioscuola.org, 10.0.0.0/24" |a velocita di
navigazione verso l'interno (degli utenti che stanno navigando verso 10.0.0.10 quindi) e di chi sta navigando verso I'esterno ritorna decente.

Direi che possiamo aggiungere I'opzione DIRECT per la rete locale e dominio locale. Concordi?

#4 - 02/21/2017 12:49 PM - Marco Marinello
Christopher R. Gabriel ha scritto:

Marco Marinello ha scritto:
Christopher R. Gabriel ha scritto:

Puoi fornire la tipologia di test eseguiti, per poter riprodurre correttamente il problema?
Non lo chiamerei problema visto che sulla rete non si verifica nessun blocco di nessun servizio, semplicemente subisce un rallentamento
"inutile".

In ogni caso, poniamo:

10.0.0.1 - Server FUSS (con squid)
10.0.0.10 - Server WEB
10.0.0.100-200 - clients

gli utenti sui client si collegano attraverso Firefox adeguatamente configurato con il proxy a 10.0.0.10 .

Il proxy non deve essere 10.0.0.1 ? Dalla tabella sopra, mi sembra che sia installato Ii'..

Si infatti, ho usato una sintassi ambigua. Intendevo che si connettono attraverso il proxy 10.0.0.1 a 10.0.0.10

Con molti utenti il problema é riprodotto.

Inserito in Firefox -> about:preferences#advanced -> Rete -> Impostazioni -> Nessun proxy per ".dominioscuola.org, 10.0.0.0/24" |a velocita

di navigazione verso l'interno (degli utenti che stanno navigando verso 10.0.0.10 quindi) e di chi sta navigando verso I'esterno ritorna
decente.

Direi che possiamo aggiungere I'opzione DIRECT per la rete locale e dominio locale. Concordi?

Si

#5 - 02/21/2017 12:51 PM - Christopher R. Gabriel
- Status changed from Commenti to In elaborazione

- Assignee changed from Marco Marinello to Christopher R. Gabriel

03/13/2024 3/4



#6 - 02/21/2017 01:04 PM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Marco Marinello

Aggiunta esclusione in wpad.dat per tutti gli indirizzamenti locali, non limitati a /24 come indicato (perche' potrebbe essere /8, per dire), che rende piu'
semplice la configurazione.

Sono esclusi anche i domini multicast.

#7 - 02/21/2017 02:11 PM - Marco Marinello

Verificato, eventuali altri problemi verranno segnalati in fase di testing.
Si pud chiudere.

#8 - 02/21/2017 02:11 PM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso
